> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Label

> Delete an existing label

## Description

This endpoint allows you to delete an existing label. When deleting a label, it will be removed from all chats that were using it.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

<ParamField path="labelId" type="string" required>
  ID of the label to be deleted
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the label was deleted successfully
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "message": "Label deleted successfully"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Label deleted successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `404` - Label not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE https://api.wappfy.com.br/api/my-session/labels/label123
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const labelId = 'label123';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/${labelId}`, {
    method: 'DELETE'
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  label_id = 'label123'
  response = requests.delete(f'https://api.wappfy.com.br/api/{session}/labels/{label_id}')
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json delete /api/{session}/labels/{labelId}
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/labels/{labelId}:
    delete:
      tags:
        - 🏷️ Labels
      summary: Delete a label
      description: The {session} parameter must be the session's instanceName.
      operationId: LabelsController_delete
      parameters:
        - name: labelId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````